Skip to main content
PATCH
/
instruments
/
synthesis
/
{synthesis_instrument_id}
curl -X PATCH "https://api.atomscale.ai/instruments/synthesis/7" \
  -H "X-API-KEY: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "MBE Chamber B"
  }'
{
  "synth_source_id": 42,
  "source_name": "MBE Chamber B",
  "source_makes_id": 3,
  "synth_source_type": "mbe",
  "source_metadata": {
    "manufacture_year": 2021,
    "serial_identifier": "GEN10-00421",
    "inputs": 8
  },
  "user_id": "user_abc123",
  "last_updated": "2024-01-15T12:00:00Z"
}
Updates an existing synthesis instrument. Include only the fields you want to change.
synthesis_instrument_id
integer
required
ID of the synthesis instrument to update
name
string
Name of the instrument
label
string
Label for the instrument
type
string
Synthesis source type. One of mbe, pvd, sputter, cvd, ald, pld.
serial_id
string
Serial identifier of the instrument

Response

synth_source_id
integer
Synthesis source identifier
source_name
string
Name of the instrument
source_makes_id
integer
ID of the source make (manufacturer and model combination)
synth_source_type
string
Synthesis source type. One of mbe, pvd, sputter, cvd, ald, pld.
source_metadata
object
Additional metadata about the instrument.
user_id
string
ID of the user who owns the instrument
last_updated
string
ISO 8601 timestamp of last update
curl -X PATCH "https://api.atomscale.ai/instruments/synthesis/7" \
  -H "X-API-KEY: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "MBE Chamber B"
  }'
{
  "synth_source_id": 42,
  "source_name": "MBE Chamber B",
  "source_makes_id": 3,
  "synth_source_type": "mbe",
  "source_metadata": {
    "manufacture_year": 2021,
    "serial_identifier": "GEN10-00421",
    "inputs": 8
  },
  "user_id": "user_abc123",
  "last_updated": "2024-01-15T12:00:00Z"
}